Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.webapp
Class PushServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.eclipse.jetty.websocket.WebSocketServlet
                  weblogic.servlet.http.AbstractAsyncServlet
                      org.atmosphere.cpr.AtmosphereServlet
                          org.atmosphere.cpr.MeteorServlet
                              org.richfaces.webapp.PushServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig, org.apache.catalina.comet.CometProcessor, org.atmosphere.di.ServletContextProvider, org.jboss.servlet.http.HttpEventServlet

    public final class PushServlet

extends org.atmosphere.cpr.MeteorServlet

Author:
  Nick Belaevski
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.atmosphere.cpr.AtmosphereServlet
`org.atmosphere.cpr.AtmosphereServlet.Action, org.atmosphere.cpr.AtmosphereServlet.AtmosphereConfig, org.atmosphere.cpr.AtmosphereServlet.AtmosphereHandlerWrapper`

Field Summary

Fields inherited from class org.atmosphere.cpr.AtmosphereServlet
`ATMOSPHERE_HANDLER, ATMOSPHERE_RESOURCE, ATMOSPHERE_SERVLET, atmosphereHandlers, BROADCAST_FILTER_CLASSES, BROADCASTER_CACHE, BROADCASTER_CLASS, BROADCASTER_FACTORY, BROADCASTER_LIFECYCLE_POLICY, broadcasterCacheClassName, broadcasterClassName, broadcasterFactoryClassName, broadcasterFilters, cometSupport, config, CONTAINER_RESPONSE, DEFAULT_NAMED_DISPATCHER, DISABLE_ONSTATE_EVENT, DROP_ACCESS_CONTROL_ALLOW_ORIGIN_HEADER, isBroadcasterSpecified, isCometSupportConfigured, isCometSupportSpecified, isFilter, isSessionSupportSpecified, JERSEY_BROADCASTER, JERSEY_CONTAINER, JGROUPS_BROADCASTER, JMS_BROADCASTER, NO_CACHE_HEADERS, PROPERTY_BLOCKING_COMETSUPPORT, PROPERTY_COMET_SUPPORT, PROPERTY_NATIVE_COMETSUPPORT, PROPERTY_SERVLET_MAPPING, PROPERTY_SESSION_SUPPORT, PROPERTY_USE_STREAM, REDIS_BROADCASTER, RESUME_AND_KEEPALIVE, RESUME_ON_BROADCAST, RESUMED_ON_TIMEOUT, SUPPORT_SESSION, useBlockingImplementation, useNativeImplementation, useStreamForFlushingComments, WEB_INF_CLASSES, WEBSOCKET_CONTENT_TYPE, WEBSOCKET_METHOD, WEBSOCKET_PROCESSOR, WEBSOCKET_SUPPORT, WRITE_HEADERS, XMPP_BROADCASTER`

Constructor Summary
`PushServlet()`

Method Summary
`void` | `init(javax.servlet.ServletConfig sc)`

Methods inherited from class org.atmosphere.cpr.MeteorServlet
`destroy, loadConfiguration`

Methods inherited from class org.atmosphere.cpr.AtmosphereServlet
`addAtmosphereHandler, addAtmosphereHandler, addAtmosphereHandler, addBroadcasterType, addInitParameter, autoDetectAtmosphereHandlers, autoDetectContainer, configureBroadcaster, configureDefaultBroadcasterFactory, configureWebDotXmlAtmosphereHandler, createCometSupportResolver, detectSupportedFramework, doCometSupport, doDelete, doGet, doHead, doInitParams, doInitParamsForWebSocket, doOptions, doPost, doPut, doRequest, doResponse, doTimeout, doTrace, doWebSocketConnect, event, event, event, getAtmosphereConfig, getBroadcasterCacheClassName, getBroadcasterFactory, getCometSupport, getDefaultBroadcasterClassName, getWebSocketProcessorClassName, isUseStreamForFlushingComments, loadAtmosphereDotXml, loadAtmosphereHandlersFromPath, lookupDefaultBroadcasterType, readSystemProperties, removeAllAtmosphereHandler, removeAllInitParams, removeAtmosphereHandler, sessionSupport, setBroadcasterCacheClassName, setBroadcasterFactory, setCometSupport, setDefaultBroadcasterClassName, setUseStreamForFlushingComments, setWebSocketProcessorClassName`

Methods inherited from class weblogic.servlet.http.AbstractAsyncServlet
`notify`

Methods inherited from class javax.servlet.http.HttpServlet
`getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.atmosphere.di.ServletContextProvider
`getServletContext`

Methods inherited from interface javax.servlet.Servlet
`getServletConfig, getServletInfo, service`

Constructor Detail

### PushServlet

    public PushServlet()

Method Detail

### init

    public void init(javax.servlet.ServletConfig sc)
              throws javax.servlet.ServletException

  Specified by:
    `init` in interface `javax.servlet.Servlet`
  Overrides:
    `init` in class `org.atmosphere.cpr.AtmosphereServlet`
  Throws:
    `javax.servlet.ServletException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.